Bug 1631069 (CVE-2018-17100) - CVE-2018-17100 libtiff: Integer overflow in multiply_ms in tools/ppm2tiff.c
Summary: CVE-2018-17100 libtiff: Integer overflow in multiply_ms in tools/ppm2tiff.c
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-17100
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1631071 1631070 1631072 1631073 1631074 1632578
Blocks: 1631081
TreeView+ depends on / blocked
 
Reported: 2018-09-19 20:22 UTC by Pedro Sampaio
Modified: 2020-07-08 08:28 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 19:19:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2053 None None None 2019-08-06 12:09:00 UTC

Description Pedro Sampaio 2018-09-19 20:22:02 UTC
An issue was discovered in LibTIFF 4.0.9. There is a int32 overflow in multiply_ms in tools/ppm2tiff.c, which can cause a denial of service (crash) or possibly have unspecified other impact via a crafted image file.

Upstream issue:

http://bugzilla.maptools.org/show_bug.cgi?id=2810

Upstream patch:

https://gitlab.com/libtiff/libtiff/merge_requests/33/diffs?commit_id=6da1fb3f64d43be37e640efbec60400d1f1ac39e

Comment 1 Pedro Sampaio 2018-09-19 20:23:28 UTC
Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1631070]


Created mingw-libtiff tracking bugs for this issue:

Affects: epel-7 [bug 1631072]
Affects: fedora-all [bug 1631071]

Comment 3 Huzaifa S. Sidhpurwala 2018-09-25 07:20:14 UTC
Analysis:

Classic heap buffer overflow caused by integer overflow in ppm2tiff. The tool is used to concert ppm format files to TIFF.

Comment 7 errata-xmlrpc 2019-08-06 12:08:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2053 https://access.redhat.com/errata/RHSA-2019:2053

Comment 8 Product Security DevOps Team 2019-08-06 19:19:44 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-17100


Note You need to log in before you can comment on or make changes to this bug.